GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/amd64-obsd-nat.c File Reference
`#include "defs.h"`
`#include "gdbcore.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include "amd64-tdep.h"`
`#include "amd64-nat.h"`
`#include "obsd-nat.h"`
`#include <sys/types.h>`
`#include <machine/frame.h>`
`#include <machine/pcb.h>`
`#include "bsd-kvm.h"`

Go to the source code of this file.

## Functions
static int | amd64obsd_supply_pcb (struct regcache *regcache, struct pcb *pcb)
void | _initialize_amd64obsd_nat (void)

## Variables
static int | amd64obsd32_r_reg_offset []

## Function Documentation

## ◆ _initialize_amd64obsd_nat()

void _initialize_amd64obsd_nat | ( | void |  | ) |

Definition at line 129 of file amd64-obsd-nat.c.

References amd64_native_gregset32_num_regs, amd64_native_gregset32_reg_offset, amd64_native_gregset64_reg_offset, amd64bsd_target(), amd64obsd32_r_reg_offset, amd64obsd_r_reg_offset, amd64obsd_supply_pcb(), bsd_kvm_add_target(), and obsd_add_target().

## ◆ amd64obsd_supply_pcb()

static int amd64obsd_supply_pcb | ( | struct regcache * | regcache,
|  | struct pcb * | pcb
| ) |  |
| static

Definition at line 68 of file amd64-obsd-nat.c.

References AMD64_RBP_REGNUM, AMD64_RBX_REGNUM, AMD64_RIP_REGNUM, AMD64_RSP_REGNUM, read_memory(), regcache_raw_supply(), and regnum.

Referenced by _initialize_amd64obsd_nat().

## Variable Documentation

## ◆ amd64obsd32_r_reg_offset

int amd64obsd32_r_reg_offset[]
| static

Initial value:
=
{
14 * 8,
3 * 8,
2 * 8,
13 * 8,
15 * 8,
12 * 8,
1 * 8,
0 * 8,
16 * 8,
17 * 8,
18 * 8,
19 * 8,
20 * 8,
21 * 8,
22 * 8,
23 * 8
}

Definition at line 38 of file amd64-obsd-nat.c.

Referenced by _initialize_amd64obsd_nat().